Account details
API reference
Returns specific details of an account enabled for deposit sweeps.
Endpoint: /SweepsIntrafi/v1/accounts/{accountNumber}
GET
https://sandbox.crbcos.com/SweepsIntrafi/v1/accounts/{accountNumber}
Path Parameters
- accountNumberstringrequiredDescription
Response
- accountNumberstringDescription
- statusstringDescription
- titlestringDescription
- bankExclusionsarrayDescription
- coreBalanceintegerDescription
- coreBalanceAsOfstringDescription
- custodialBalanceintegerDescription
- networkBalanceintegerDescription
- networkBalanceAsOfstringDescription
- maxSweepAmountintegerDescription
- clientIdentifierstringDescription
- productIdstringDescription
- partnerIdstringDescription
- openedAtstringDescription
- lastModifiedAtstringDescription
- productNamestringDescription
- partnerNamestringDescription
- balancesobjectDescription
- bankNumberstringDescription
- bankNamestringDescription
- balanceintegerDescription
- createdAtstringDescription
- lastModifiedAtstringDescription
curl
curl --location 'https://sandbox.crbcos.com/SweepsIntrafi/v1/accounts/2666129453' \
--header 'Authorization: Bearer <token>' \
--header 'Accept: application/json'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/SweepsIntrafi/v1/accounts/2666129453',
'headers': {
'Authorization': 'Bearer <token>',
'Accept': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import requests
url = "https://sandbox.crbcos.com/SweepsIntrafi/v1/accounts/2666129453"
payload = {}
headers = {
'Authorization': 'Bearer <token>',
'Accept': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/SweepsIntrafi/v1/accounts/2666129453")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
request["Accept"] = "application/json"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/SweepsIntrafi/v1/accounts/2666129453"
method := "GET"
payload := strings.NewReader(``)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"accountNumber": "2666129453",
"status": "Active",
"title": "Sweeps Test 2",
"bankExclusions": [
"10015"
],
"coreBalance": 125627321,
"coreBalanceAsOf": "2024-09-23T17:51:14.153-04:00",
"custodialBalance": 25627321,
"networkBalance": 100000000,
"networkBalanceAsOf": "2024-09-24T16:33:43.613-04:00",
"maxSweepAmount": 0,
"productId": "e4404005-03c1-4710-b759-b13700ebfac4",
"partnerId": "6e6769ec-99e0-4c4f-8ae8-b13700eab0fc",
"openedAt": "2024-05-14T16:26:10.227-04:00",
"lastModifiedAt": "2024-09-24T16:33:43.6128282-04:00",
"productName": "ibs Checking Product",
"partnerName": "Ibrahim Saeed Partner",
"balances": [
{
"bankNumber": "11866",
"bankName": "The Bryn Mawr Trust Company",
"balance": 0,
"createdAt": "0001-01-01T00:00:00-05:00",
"lastModifiedAt": "2024-05-17T16:38:43.7709924-04:00"
},
{
"bankNumber": "14712",
"bankName": "First National Bank",
"balance": 24700000,
"createdAt": "0001-01-01T00:00:00-05:00",
"lastModifiedAt": "2024-05-17T16:38:43.6692936-04:00"
},
{
"bankNumber": "32773",
"bankName": "Eastern Bank",
"balance": 24700000,
"createdAt": "0001-01-01T00:00:00-05:00",
"lastModifiedAt": "2024-09-03T16:38:57.7836638-04:00"
}
]
}404
{
"message": "Account not found."
}